apiVersion: v1
kind: Service
metadata:
  name: teamspeak-tcp
spec:
  selector:
    app: teamspeak
  type: LoadBalancer
  ports:
    - name: "filetransfer"
      port: 30033
      protocol: TCP
    - name: "serverquery-raw"
      port: 10011
      protocol: TCP
    - name: "serverquery-ssh"
      port: 10022
      protocol: TCP
    - name: "webquery-http"
      port: 10080
      protocol: TCP
    - name: "webquery-https"
      port: 10443
      protocol: TCP
    - name: "tsdns"
      port: 41144
      protocol: TCP